//==========================================//
// Half-Life Guard 1.60.08 Main Config File //
// http://www.unitedadmins.com/hlguard.php  //
//==========================================//
// For support, feedback, tweaks and info please visit:
// http://forums.unitedadmins.com/
// Found a bug? Submit it at:
// http://bugs.unitedadmins.com/

//=====
// Main settings
//=====
hlguard 1 off	// Aimbot Warning System
hlguard 2 on	// Alias Detection
hlguard 3 off	// File Consistency Checking
hlguard 4 on	// WallHack Blocking
hlguard 5 on	// SpeedHack Blocking
hlguard 6 on	// Blacklist checking

//=====
// HLGuard mode
//=====
// Use ONE of these config files designed for InterNET, LAN and LEAGUE servers:
// hlg_exec addons/hlguard/config/hlg_net.cfg		// InterNET mode - Bans by UniqueID
hlg_exec addons/hlguard/config/hlg_lan.cfg		// LAN mode - Bans by IP address
// hlg_exec addons/hlguard/config/hlg_league.cfg	// League mode - Only logs and displays cheats

//=====
// Alias Detection configs
//=====
hlg_exec addons/hlguard/config/hlg_custom.cfg	// List of custom aliases. Look in hlg_custom.cfg for instructions.
hlg_exec addons/hlguard/config/hl/hlg_mod.cfg	// Any mod configuration file
hlg_exec addons/hlguard/config/%M/hlg_mod.cfg	// Individual mod configuration file. Comment out if you run another mod than cstrike/czero/tfc/dod/firearms

//=====
// Alias Scanning completed messages
//=====
// One-Time messages
// hlg_action "a:not found" "hlg_clexec #%u \'alias hlgauth wait\';say \'%n completed the HLGuard alias scan.\'"
//
// Repeating messages
// hlg_action "a:not found" "say \'%n completed the HLGuard alias scan.\'"

//=====
// HLGuard in-game menu - Requires password set in hlg_menu.cfg
//=====
hlg_exec addons/hlguard/config/hlg_menu.cfg

//=====
// In-game agreement
//=====
// hlg_exec addons/hlguard/config/hlg_agreement.cfg

//=====
// Advanced settings
//=====
// Time in seconds
hlg_quiet 0 		// Default: 0	// Quiet mode - No console connection message - 0=off(message) 1=on(no message).
hlg_loadcfg 0		// Default: 0	// Load this file only once.
hlg_frequency 0.8	// Default: 0.8	// Idle in seconds between every check (0.05 for LAN, 0.3 for the Internet, 0.8 for less lag).
hlg_slowfrequency 2.0	// Default: 2.0 // Frequency used for other (slow/less lag) scans. IE. 2nd scan, 3rd scan, ...
hlg_scandelay_min 30	// Default: 30	// Minimum time HLGuard waits before starting new scan.
hlg_scandelay_max 180	// Default: 180	// Maximum time HLGuard waits before starting new scan.
hlg_repeat 3		// Default: 3	// Number of times to repeat Alias detection before banning.
hlg_aimbotlevel 30	// Default: 30	// Aimbot sensitivity - 0=Everyone 100=No aimbot is that good.
hlg_aimbotrepeat 3	// Default: 3	// Number of Aimbot Warnings required before actioning.
hlg_delay 15		// Default: 15	// Delay before HLGuard starts checking a person. This affects agreement too.
hlg_blport 0		// Default: 0	// Port to use for communications with the blacklist server - 0=Random.

// Path for HLGuard log file. %L will be replaced with the path of the HLGuard log folder.
// Default: "%L/hlglog.log"
hlg_logfile "%L/hlglog.log"

// Announce format
// Syntax: <red>:<blue>:<green>:<x pos>:<y pos>:<effect>:<effect time>:<hold time>:<fade in time>:<fade out time>
// Default: "200:100:10:-1:0.20:2:0.015:8:0.02:2.0"
hlg_sayformat "200:100:10:-1:0.20:2:0.015:8:0.02:2.0"

// Set in minutes after which time all warning for a player will be cleared.
// This is useful to avoid false aimbot detections on long played maps.
// Default: 10
hlg_aimbottimeout 10

// Output to player console when File Consistency fails
// %s will be replaced with the name of the bad file.
// Default: "You have a modified %s file, please replace it with the original one and reconnect!"
hlg_filecheckmessage "You have a modified %s file, please replace it with the original one and reconnect!"
